﻿Imports System.Collections.ObjectModel
Imports System.Collections.Specialized
Imports System.ComponentModel
Imports System.Data.Entity
Imports System.Data.Entity.Validation
Imports System.Text
Imports GalaSoft.MvvmLight
Imports GalaSoft.MvvmLight.CommandWpf
Imports System.Reflection
Imports UoWTestApp.Persistence

Public Class VMCurrencies

    Dim _UnitofWork As New UnitOfWork(New UoWTestAppModelCore)

    Public Property CurrenciesFilters As ListCollectionView


    Public Property Currencies As ListCollectionView

    Private Function GetAllCurrencies() As Boolean
        Dim QCurrencies = _UnitofWork.Currencies.GetAll
        QCurrencies = QCurrencies.Where(Function(x) x.Deleted = False)
        Currencies = New ListCollectionView(QCurrencies.ToList)
        Return True
    End Function


    Sub New()
        GetAllCurrencies()
    End Sub

    Public ReadOnly Property CurrentWorkItem As Currency
        Get
            If Currencies.CurrentItem Is Nothing Then Return Nothing
            Return CType(Currencies.CurrentItem, Currency)
        End Get
    End Property


End Class



